package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;

import java.util.Map;

public interface MWFC15Response {

    @Parameter(name = "DatumKonceProgramu")
    java.util.Date datumKonceProgramu();

    @Parameter(name = "DatumPosledniTransakce")
    java.util.Date datumPosledniTransakce();

    @Parameter(name = "DatumPrvniTransakce")
    java.util.Date datumPrvniTransakce();

    @Parameter(name = "DatumZapsaniDoProgramu")
    java.util.Date datumZapsaniDoProgramu();

    @Parameter(name = "PopisProgramu")
    String popisProgramu();

    @Parameter(name = "ProgBodyDoKonceMesice")
    Long progBodyDoKonceMesice();

    @Parameter(name = "ProgBodyNaVoucher")
    Long progBodyNaVoucher();

    @Parameter(name = "ProgBodyProslouPlatnosti")
    Long progBodyProslouPlatnosti();

    @Parameter(name = "ProgBodyUpraveneCelkem")
    String progBodyUpraveneCelkem();

    @Parameter(name = "ProgBodyVycerpaneCelkem")
    Long progBodyVycerpaneCelkem();

    @Parameter(name = "ProgBodyVycerpaneZaRok")
    Long progBodyVycerpaneZaRok();

    @Parameter(name = "ProgBodyZiskaneCelkem")
    Long progBodyZiskaneCelkem();

    @Parameter(name = "ProgBodyZiskaneZaRok")
    Long progBodyZiskaneZaRok();

}